This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 173286 - Xaw3d.spec requires crack removal
Xaw3d.spec requires crack removal
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Xaw3d (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
David Lawrence
:
Depends On:
Blocks: FC5Blocker
  Show dependency treegraph
 
Reported: 2005-11-15 17:33 EST by Warren Togami
Modified: 2009-03-11 05:33 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-11-16 14:23:31 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Warren Togami 2005-11-15 17:33:45 EST
Xaw3d.spec requires removal of references to X11R6 as all libraries install into
plain %{_libdir} with modular X.  I am not quite sure what to do about the mess
of include dirs, symlinks and scriptlets.  How did the package become this way?
 Can the package be made to get rid of the scriptlets and just package the
include dirs in a regular way?

mharris says that we should remove Xaw3d from Core because it is poorly
maintained and full of security holes.  I have no opinion here as I personally
know nothing about this library.
Comment 1 Mike A. Harris 2005-11-16 09:25:45 EST
yeah, it really belongs in Fedora Extras, or just gone.  I don't think
it is maintained anymore, and it does not track bug fixes and security
fixes that have been done to the official libXaw over the last number
of years.

It is a liability IMHO.  And the "but it makes emacs prettier" argument
doesn't win, as there is a gtk version of emacs.  Also, security trumps
"pretty" IMHO.  We have 3 versions of Xaw in the OS right now, which is
fairly silly IMHO.
Comment 2 Ngo Than 2005-11-16 14:23:31 EST
yes, it's true that Xaw3d is not maintained, if there're no applications which
requires libXaw3d, we could move it into extra.

in any case it's now fixed for modular X

Note You need to log in before you can comment on or make changes to this bug.